Bug 1459977 - Existing or Newly created service added to parent service via REST API or from automation is not visible in UI
Existing or Newly created service added to parent service via REST API or fro...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: lgalis
Martin Kourim
api:rest:service
: ZStream
Depends On: 1444043
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 14:00 EDT by Satoe Imaishi
Modified: 2017-08-02 13:27 EDT (History)
21 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1444043
Environment:
Last Closed: 2017-08-02 13:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 14:18:27 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/137995ff921f7eb78e7ff794e2fb1555acfec25b

commit 137995ff921f7eb78e7ff794e2fb1555acfec25b
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue May 16 14:58:27 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 14:00:18 2017 -0400

    Merge pull request #1340 from lgalis/services_tree_display_child_services_when_display_flag_set
    
    Display all services with 'display' = true in the Active and Retired Services trees
    (cherry picked from commit dc24ca27e24975f74a1729e32d0dc7a61da6a4bd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459977

 app/controllers/service_controller.rb         |  4 ++--
 app/presenters/tree_builder_services.rb       |  2 +-
 app/views/service/_svcs_show.html.haml        | 14 ++++++++++++++
 spec/presenters/tree_builder_services_spec.rb | 18 ++++++++++++------
 4 files changed, 29 insertions(+), 9 deletions(-)
Comment 6 Martin Kourim 2017-06-29 04:29:19 EDT
Verified that service added to parent service via REST API is visible in UI when "display" is set to "true":

POST /api/services
{
  "action" : "create",
  "resource" : {
    "name" : "test_service01",
    "description" : "Test Service 01",
    "display": true
  }
}

POST /api/services
{
  "action" : "create",
  "resource" : {
    "name" : "test_service02",
    "description" : "Test Service 02",
    "parent_service" : { "id" : <test_service01 id> },
    "display": true
  }
}
Comment 8 errata-xmlrpc 2017-08-02 13:27:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.